#ifndef MANO_HPP
#define MANO_HPP

#include <string>

class Mano // manó ősosztálya
{
	protected:
		std::string _nev; // manó neve
		int _fizetes; // manó fizetése

		Mano() {}
		Mano(std::string nev, int fizetes) { _nev = nev; _fizetes = fizetes; }

	public:
		std::string nev() const { return _nev; }; // név
		int fizetes() const { return _fizetes; } // fizetés
		virtual int egyszerutGyart() const = 0; // egy napon legyártott egyszerű játékok száma
		virtual int atlagostGyart() const = 0; // egy napon legyártott átlagos játékok száma
		virtual int osszetettetGyart() const = 0; // egy napon legyártott összetett játékok száma
};

#endif